<template>
  <div>
    <v-card outlined class="mb-5">
      <v-row class="fill-height text-center">
        <v-col cols="12">
          <v-avatar color="teal" size="170px">{{this.$route.params.slug}}</v-avatar>
        </v-col>
        <v-col class="text-center">
          <v-list-item color="rgba(0, 0, 0, .4)">
            <v-list-item-content>
              <v-list-item-subtitle>{{count}} Posts</v-list-item-subtitle>
            </v-list-item-content>
          </v-list-item>
        </v-col>
      </v-row>
    </v-card>
    <v-card outlined v-for="(item, index) in items" :key="index" class="mx-auto mb-5">
      <v-list-item>
        <v-list-item-avatar color="grey">
          <img
            src="https://secure.gravatar.com/avatar/787565e4d84ec4a9b67f62171b11b4aa?s=800&d=identicon"
            alt
          />
        </v-list-item-avatar>
        <v-list-item-content>
          <v-list-item-title class="headline">{{item.title}}</v-list-item-title>
          <v-list-item-subtitle>Naoufal Zerai</v-list-item-subtitle>
        </v-list-item-content>
      </v-list-item>

      <v-img
        v-if="item.image"
        :src="'https://cms.shellfox.com/storage/uploads'+item.image.path"
        height="194"
      ></v-img>

      <v-card-text>{{item.excerpt}}</v-card-text>
      <v-card-text>
        <v-chip-group column>
          <v-chip :to="'/tag/'+tag" v-for="(tag, itag) in item.tags" :key="itag">#{{tag}}</v-chip>
        </v-chip-group>
      </v-card-text>
      <v-card-actions>
        <v-btn :to="'/post/'+item.title_slug" text color="teal">Lire</v-btn>
        <v-spacer></v-spacer>
        <v-btn icon>
          <v-icon>mdi-share-variant</v-icon>
        </v-btn>
      </v-card-actions>
    </v-card>
  </div>
</template>

<script>
export default {
  data: () => ({
    items: [],
    count: 0
  }),
  created() {
    this.getDataFromApi();
  },
  methods: {
    getDataFromApi() {
      fetch("https://cms.shellfox.com/api/collections/get/blog", {
        method: "post",
        headers: { "Content-Type": "application/json" },
        body: JSON.stringify({
          filter: {
            published: true,
            tags: { $all: [this.$route.params.slug] }
          },
          fields: { image: 1, excerpt: 1, title: 1, title_slug: 1, tags: 1 },
          sort: { _created: -1 }
        })
      })
        .then(res => res.json())
        .then(res => {
          this.items = res.entries;
          this.count = res.total;
          console.log(res);
        });
    }
  }
};
</script>

<style>
</style>

